Page MenuHomePhabricator

Undeletion does not remove title protection
Closed, ResolvedPublic

Description

When a create-protected page is undeleted, the title protection is not automatically removed. When one then re-deletes the page or moves it without redirect to another title, the title will still appear protected. This happened with the pages Talk:Stanislav Shekshnia and Hedgewars on Wikipedia, for example. Since undeleting a page changes it from a red link to a blue link, the expected result is to automatically have the title protection removed with a WikiPage::onArticleCreate call.

Now this happened with Stanislav Shekshnia too.

Recently, this has happened with Clarice Phelps and Biju sopanam too, and so this bug still hasn't yet been fixed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 20 2018, 2:59 PM
GeoffreyT2000 updated the task description. (Show Details)May 7 2019, 4:32 PM

Change 508967 had a related patch set uploaded (by GeoffreyT2000; owner: GeoffreyT2000):
[mediawiki/core@master] Remove title protection correctly for undeletions and imports

https://gerrit.wikimedia.org/r/508967

Change 508967 abandoned by GeoffreyT2000:
Remove title protection correctly for undeletions and imports

Reason:
Thinking about it, the "Simplify prepareUpdate logic." patch might actually be a better patch for this.

https://gerrit.wikimedia.org/r/508967

Change 508967 restored by GeoffreyT2000:
Remove title protection correctly for undeletions and imports

Reason:
Other patch has a merge conflict, so I'll restore this.

https://gerrit.wikimedia.org/r/508967

Change 508967 merged by jenkins-bot:
[mediawiki/core@master] Remove title protection correctly for undeletions and imports

https://gerrit.wikimedia.org/r/508967

Change 530696 had a related patch set uploaded (by GeoffreyT2000; owner: GeoffreyT2000):
[mediawiki/core@REL1_32] Remove title protection correctly for undeletions and imports

https://gerrit.wikimedia.org/r/530696

Change 530697 had a related patch set uploaded (by GeoffreyT2000; owner: GeoffreyT2000):
[mediawiki/core@REL1_33] Remove title protection correctly for undeletions and imports

https://gerrit.wikimedia.org/r/530697

Change 530696 merged by jenkins-bot:
[mediawiki/core@REL1_32] Remove title protection correctly for undeletions and imports

https://gerrit.wikimedia.org/r/530696

Change 530697 merged by jenkins-bot:
[mediawiki/core@REL1_33] Remove title protection correctly for undeletions and imports

https://gerrit.wikimedia.org/r/530697

GeoffreyT2000 closed this task as Resolved.Oct 15 2019, 3:13 PM
GeoffreyT2000 claimed this task.
GeoffreyT2000 updated the task description. (Show Details)